Subject: Re: [patch net-next] dpll: remove leftover mode_supported() op and use mode_get() instead

From: Jiri Pirko <[email-masked]>
Date: Sat, 9 Dec 2023 11:37:50 +0100

Fri, Dec 08, 2023 at 01:06:34PM CET, [email-masked] wrote:
>On 07/12/2023 15:12, Jiri Pirko wrote:
>> From: Jiri Pirko <[email-masked]>
>> 
>> Mode supported is currently reported to the user exactly the same, as
>> the current mode. That's because mode changing is not implemented.
>> Remove the leftover mode_supported() op and use mode_get() to fill up
>> the supported mode exposed to user.
>> 
>> One, if even, mode changing is going to be introduced, this could be
>> very easily taken back. In the meantime, prevent drivers form
>> implementing this in wrong way (as for example recent netdevsim
>> implementation attempt intended to do).
>> 
>
>I'm OK to remove from ptp_ocp part because it's really only one mode
>supported. But I would like to hear something from Arkadiusz about the
>plans to maybe implement mode change in ice?

As I wrote in the patch description, if ever there is going
to be implementation, this could be very easily taken back. Now for
sure there was already attempt to misimplement this :)

>
>> Signed-off-by: Jiri Pirko <[email-masked]>
>> ---
>>   drivers/dpll/dpll_netlink.c                   | 16 +++++++-----
>>   drivers/net/ethernet/intel/ice/ice_dpll.c     | 26 -------------------
>>   .../net/ethernet/mellanox/mlx5/core/dpll.c    |  9 -------
>>   drivers/ptp/ptp_ocp.c                         |  8 ------
>>   include/linux/dpll.h                          |  3 ---
>>   5 files changed, 10 insertions(+), 52 deletions(-)
>> 
>